Transaction Entries v2

TransactionEntries represent individual money movements across different states within a Transaction.

The TransactionEntry object

Attributes

  • idstring

    Unique identifier for the object.

  • objectstring, value is "v2.money_management.transaction_entry"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • balance_impactobject

    The delta to the FinancialAccount’s balance.

  • createdtimestamp

    Time at which the object was created.

  • effective_attimestamp

    Time at which the entry impacted (or will impact if it’s in the future) the FinancialAccount balance.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • transactionstring

    The Transaction that this TransactionEntry belongs to.

  • transaction_detailsobject

    Details copied from the transaction that this TransactionEntry belongs to.

The TransactionEntry object
{
"id": "trxne_65O8p4MRdLlbQQi89Zy16NoTesLDSQ1IgNPigisRKq0N8y",
"object": "v2.money_management.transaction_entry",
"balance_impact": {
"available": {
"value": 0,
"currency": "usd"
},
"inbound_pending": {
"value": 0,
"currency": "usd"
},
"outbound_pending": {
"value": -100,
"currency": "usd"
}
},
"effective_at": "2023-04-21T21:03:19.873Z",
"created": "2023-04-21T21:03:22.244Z",
"transaction": "trxn_65O8p4Ez7cWUhTaRLZy16NoTesLDSQ1IgNPigisRKq0Ino",
"transaction_details": {
"financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
"category": "outbound_transfer",
"flow": {
"outbound_transfer": "obt_5O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou",
"type": "outbound_transfer"
}
}
}

Retrieve a TransactionEntry object v2

Retrieves the details of a TransactionEntry by ID.

Learn more about calling API v2 endpoints.

Parameters

  • idstringRequired

    The ID of the TransactionEntry to retrieve.

Returns

Response attributes

  • idstring

    Unique identifier for the object.

  • objectstring, value is "v2.money_management.transaction_entry"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • balance_impactobject

    The delta to the FinancialAccount’s balance.

  • createdtimestamp

    Time at which the object was created.

  • effective_attimestamp

    Time at which the entry impacted (or will impact if it’s in the future) the FinancialAccount balance.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • transactionstring

    The Transaction that this TransactionEntry belongs to.

  • transaction_detailsobject

    Details copied from the transaction that this TransactionEntry belongs to.

404not_found

The resource wasn’t found.

GET /v2/money_management/transaction_entries/:id
curl https://api.stripe.com/v2/money_management/transaction_entries/trxne_65O8p4MRdLlbQQi89Zy16NoTesLDSQ1IgNPigisRKq0N8y \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-06-30.preview"
Response
{
"id": "trxne_65O8p4MRdLlbQQi89Zy16NoTesLDSQ1IgNPigisRKq0N8y",
"object": "v2.money_management.transaction_entry",
"balance_impact": {
"available": {
"value": 0,
"currency": "usd"
},
"inbound_pending": {
"value": 0,
"currency": "usd"
},
"outbound_pending": {
"value": -100,
"currency": "usd"
}
},
"effective_at": "2023-04-21T21:03:19.873Z",
"created": "2023-04-21T21:03:22.244Z",
"transaction": "trxn_65O8p4Ez7cWUhTaRLZy16NoTesLDSQ1IgNPigisRKq0Ino",
"transaction_details": {
"financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
"category": "outbound_transfer",
"flow": {
"outbound_transfer": "obt_5O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou",
"type": "outbound_transfer"
}
},
"livemode": true
}

List all TransactionEntry objects v2

Returns a list of TransactionEntries that match the provided filters.

Learn more about calling API v2 endpoints.

Parameters

  • createdtimestamp

    Filter for Transactions created at an exact time.

  • created_gttimestamp

    Filter for Transactions created after the specified timestamp.

  • created_gtetimestamp

    Filter for Transactions created at or after the specified timestamp.

  • created_lttimestamp

    Filter for Transactions created before the specified timestamp.

  • created_ltetimestamp

    Filter for Transactions created at or before the specified timestamp.

  • limitinteger

    The page limit.

  • pagestring

    The page token.

  • transactionstring

    Filter for TransactionEntries belonging to a Transaction.

Returns

Response attributes

  • dataarray of objects

    List of TransactionEntry objects.

  • next_page_urlnullable string

    The next page URL.

  • previous_page_urlnullable string

    The previous page URL.

404not_found

The resource wasn’t found.

GET /v2/money_management/transaction_entries
curl https://api.stripe.com/v2/money_management/transaction_entries \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-06-30.preview"
Response
{
"data": [
{
"id": "trxne_65O8p4G0x1Sbs2xoeZy16NoTesLDSQ1IgNPigisRKq0NhQ",
"object": "v2.money_management.transaction_entry",
"balance_impact": {
"available": {
"value": -1000,
"currency": "usd"
},
"inbound_pending": {
"value": 0,
"currency": "usd"
},
"outbound_pending": {
"value": 1000,
"currency": "usd"
}
},
"effective_at": "2023-04-21T21:03:14.418Z",
"created": "2023-04-21T21:03:16.775Z",
"transaction": "trxne_65O8p4G0x1Sbs2xoeZy16NoTesLDSQ1IgNPigisRKq0NhQ",
"transaction_details": {
"financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
"category": "outbound_transfer",
"flow": {
"outbound_transfer": "obt_65O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou",
"type": "outbound_transfer"
}
},
"livemode": true
},
{
"id": "trxne_65O8oG8wjR3SwkR7NrZ16NoTesLDSQ1IgNPigisRKq020u",
"object": "v2.money_management.transaction_entry",
"balance_impact": {
"available": {
"value": 0,
"currency": "usd"
},
"inbound_pending": {
"value": 0,
"currency": "usd"
},
"outbound_pending": {
"value": -1000,
"currency": "usd"
}
},
"effective_at": "2023-04-21T21:11:26.032Z",
"created": "2023-04-21T21:11:28.257Z",
"transaction": "trxn_65O8oG0K8YH83tRWorZ16NoTesLDSQ1IgNPigisRKq0OiG",
"transaction_details": {
"financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
"category": "outbound_transfer",
"flow": {
"outbound_transfer": "obt_65O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou",
"type": "outbound_transfer"
}
},
"livemode": true
}
],
"next_page_url": null,
"previous_page_url": null
}